Support Migration Notice: To update migrated JIRA cases click here to open a new case use www.vmware.com/go/sr | vFabric Hyperic 5.7.0 is Now Available

Hyperic HQ

Starting agent with nowrapper on zlinux reports error failed to find version

Details

  • Type: Bug Bug
  • Status: Closed Closed
  • Priority: Critical Critical
  • Resolution: Duplicate
  • Affects Version/s: 4.5, 4.5.1
  • Fix Version/s: 4.5.1.2
  • Component/s: Agent / PDK
  • Environment:
    HQ-server 4.5.0-EE-GA running on RHEL 5.4
    HQ-agent 4.5.0-EE-GA running on zlinux RHEL 5.2
  • Case Links:
    none
  • Regression:
    Yes
  • Tags:

Description

Starting agent with nowrapper on zlinux errors; reports failed to find version.

The output from starting the agent with nowrapper is as follows:

$ ./hq-agent-nowrapper.sh start
./hq-agent-nowrapper.sh: line 70: CLIENT_CLASSPATH: command not found
Starting agent

  • Unable to load agent token file. Generating a new one ... Done
  • Invoking agent
  • Agent thread running
  • Verifying if agent is running...
  • Agent is running
    Agent successfully started
    Starting agent with nowrapper on zlinux errors; reports failed to find version.

[ Running agent setup ]
Should Agent communications to HQ be unidirectional [default=no]:
What is the HQ server IP address: xxx.xxx.xxx.xxx
Should Agent communications to HQ always be secure [default=no]:
What is the HQ server port [default=7080]:

  • Testing insecure connection ... Success
    What is your HQ login [default=hqadmin]:
    What is your HQ password:
    What IP should HQ use to contact the agent [default=xxx.xxx.xxx.xxx]:
    What port should HQ use to contact the agent [default=2144]:
  • Received temporary auth token from agent
  • Registering agent with HQ
    java.lang.IllegalStateException: Failed to find version
    at org.hyperic.hq.common.shared.ProductProperties.getRequiredProperty(ProductProperties.java:95)
    at org.hyperic.hq.common.shared.ProductProperties.getVersion(ProductProperties.java:44)
    at org.hyperic.hq.bizapp.agent.client.AgentClient.cmdSetup(AgentClient.java:814)
    at org.hyperic.hq.bizapp.agent.client.AgentClient.cmdSetupIfNoProvider(AgentClient.java:530)
    at org.hyperic.hq.bizapp.agent.client.AgentClient.main(AgentClient.java:1303)
  • Error registering agent: Failed to find version

The agent.log reports the same error. See attached agent.log for more details. There is no wrapper.log created.

The variable HQ_JAVA_HOME is set to use:

$ $HQ_JAVA_HOME/bin/java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build pxz6460sr1-20080419_01(SR1))
IBM J9 VM (build 2.4, J2RE 1.6.0 IBM J9 2.4 Linux s390x-64 jvmxz6460-20080416_18762 (JIT enabled, AOT enabled)
J9VM - 20080415_018762_BHdSMr
JIT - r9_20080415_1520
GC - 20080415_AA)
JCL - 20080412_01

The platform details are:

$ uname -a
Linux xxxxxxx.dfw.ibm.com 2.6.18-92.el5 #1 SMP Tue Apr 29 13:16:58 EDT 2008 s390x s390x s390x GNU/Linux

Expected Result:
Starting the agent with nowrapper is successful and reports no errors

Actual Result:
Starting the agent with nowrapper fails and reports error

Steps to Reproduce:
1. Install Hyperic agent on zlinux.
2. Export HQ_JAVA_HOME to use existing java.
3. Execute -> hq-agent-nowrapper.sh start
4. Note the agent fails to start and reported message received.

Activity

Hide
Kashyap Parikh added a comment -

Verified that 4.4 Agent works fine using hq-agent-nowrapper.sh. So the fix from pre-4.5 release has regressed in 4.5. Since it doesn't work in 4.5 (using same jre 1.6)

[hyperic@etpglrw bin]$ ./hq-agent-nowrapper.sh start
Starting agent

  • Unable to load agent token file. Generating a new one ... Done
  • Invoking agent
  • Agent thread running
  • Verifying if agent is running...
  • Agent is running
    Agent successfully started

[ Running agent setup ]
Should Agent communications to HQ be unidirectional [default=no]:
What is the HQ server IP address: xx.xx.xx.xx
Should Agent communications to HQ always be secure [default=no]:
What is the HQ server port [default=7080]:

  • Testing insecure connection ... Success
    What is your HQ login [default=hqadmin]:
    What is your HQ password:
    What IP should HQ use to contact the agent [default=xx.xx.xx.xx]:
    What port should HQ use to contact the agent [default=2144]:
  • Received temporary auth token from agent
  • Registering agent with HQ
  • HQ gave us the following agent token
    1292487819891-2033698814187364520-4705957223520229160
  • Informing agent of new HQ server
  • Validating
  • Successfully setup agent

JRE used:

$ $JAVA_HOME/bin/java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build pxz6460sr1-20080419_01(SR1))
IBM J9 VM (build 2.4, J2RE 1.6.0 IBM J9 2.4 Linux s390x-64 jvmxz6460-20080416_18762 (JIT enabled, AOT enabled)
J9VM - 20080415_018762_BHdSMr
JIT - r9_20080415_1520
GC - 20080415_AA)
JCL - 20080412_01

Show
Kashyap Parikh added a comment - Verified that 4.4 Agent works fine using hq-agent-nowrapper.sh. So the fix from pre-4.5 release has regressed in 4.5. Since it doesn't work in 4.5 (using same jre 1.6) [hyperic@etpglrw bin]$ ./hq-agent-nowrapper.sh start Starting agent
  • Unable to load agent token file. Generating a new one ... Done
  • Invoking agent
  • Agent thread running
  • Verifying if agent is running...
  • Agent is running Agent successfully started
[ Running agent setup ] Should Agent communications to HQ be unidirectional [default=no]: What is the HQ server IP address: xx.xx.xx.xx Should Agent communications to HQ always be secure [default=no]: What is the HQ server port [default=7080]:
  • Testing insecure connection ... Success What is your HQ login [default=hqadmin]: What is your HQ password: What IP should HQ use to contact the agent [default=xx.xx.xx.xx]: What port should HQ use to contact the agent [default=2144]:
  • Received temporary auth token from agent
  • Registering agent with HQ
  • HQ gave us the following agent token 1292487819891-2033698814187364520-4705957223520229160
  • Informing agent of new HQ server
  • Validating
  • Successfully setup agent
JRE used: $ $JAVA_HOME/bin/java -version java version "1.6.0" Java(TM) SE Runtime Environment (build pxz6460sr1-20080419_01(SR1)) IBM J9 VM (build 2.4, J2RE 1.6.0 IBM J9 2.4 Linux s390x-64 jvmxz6460-20080416_18762 (JIT enabled, AOT enabled) J9VM - 20080415_018762_BHdSMr JIT - r9_20080415_1520 GC - 20080415_AA) JCL - 20080412_01
Hide
Ryan Morgan added a comment -

Frederic,

I think this is related to HHQ-4529, can you give that a try? Modify hq-agent-nowrapper.sh removing the spaces around the = sign.

Show
Ryan Morgan added a comment - Frederic, I think this is related to HHQ-4529, can you give that a try? Modify hq-agent-nowrapper.sh removing the spaces around the = sign.
Hide
Ryan Morgan added a comment -

I'm going to close this out as a duplicate of http://jira.hyperic.com/browse/HHQ-4529

Frederic, if you find otherwise, please re-open.

Show
Ryan Morgan added a comment - I'm going to close this out as a duplicate of http://jira.hyperic.com/browse/HHQ-4529 Frederic, if you find otherwise, please re-open.
Hide
Frederic Calindas added a comment -

Verified with 4.5.1.2-EE-15 on zlinux.

Able to successfully execute 'hq-agent-nowrapper.sh start'. The setup properly ran and the platform was correctly auto-discovered.

The reported error was not reproduced.

Show
Frederic Calindas added a comment - Verified with 4.5.1.2-EE-15 on zlinux. Able to successfully execute 'hq-agent-nowrapper.sh start'. The setup properly ran and the platform was correctly auto-discovered. The reported error was not reproduced.

People

Vote (0)
Watch (1)

Dates

  • Created:
    Updated:
    Resolved:
    Last comment:
    3 years, 13 weeks, 6 days ago